Subject: [Bitcoin-development] DNS seeds returning gone peers

From: Mike Hearn <[email-masked]>
Date: Wed, 3 Aug 2011 12:04:11 +0200

This is expected to happen from time to time of course as it's inherently
racy, but there are a *lot* of bad nodes appearing in the DNS seeds.

$ nmap -oG /tmp/x -p 8333 `dig +short bitseed.bitcoin.org.uk
dnsseed.bluematt.me bitseed.xf2.org`
...
Nmap done: 48 IP addresses (25 hosts up) scanned in 9.80 seconds

$ grep -c 'closed' /tmp/x
6

So of 48 IPs returned only 19 are actually usable. This is slowing down peer
bringup for the Android apps, which don't currently save the addresses of
last-used peers (yes, I know we should fix this).

I was talking to a friend a few days ago about Bitcoin, he seemed
interested. I'm hoping he might take on DNS seeding as a project. A custom
DNS server that watches the network to find long-lived peers that run the
latest version would be helpful for resolving this kind of thing.